Skip to main content
Memory Stores

List memory stores

GET
/memory_stores

Returns the memory stores available to the caller.

Query Parameters
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
orderstringoptional
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc for descending order.
ascdesc
afterstringoptional
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
beforestringoptional
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Responses
dataMemoryStoreObject[]required
The requested list of items.
objectenumrequired
The object type, which is always 'memory_store'.
memory_store
idstringrequired
The unique identifier of the memory store.
created_atintegerrequired
The Unix timestamp (seconds) when the memory store was created.
updated_atintegerrequired
The Unix timestamp (seconds) when the memory store was last updated.
namestringrequired
The name of the memory store.
descriptionstring
A human-readable description of the memory store.
metadataobject
Arbitrary key-value metadata to associate with the memory store.
definitiondefaultrequired
The definition of the memory store.
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.